﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace CalculadoraWpf
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();
            Grid grid = this.Content as Grid;
            foreach (var item in grid.Children)
            {
                if (item is Button)
                {
                    var boton = item as Button;
                    boton.Click += DigitoClick;
                }
            }
        }

        /// <summary>
        /// Método que se ejecuta cada vez que el usuario presiona el boton de algun digito.
        /// Ejemplo: 0, 1, 2, ..., 9
        /// </summary>
        /// <param name="sender">Boton que ha presionado el usuario.</param>
        /// <param name="e">Argumentos del evento.</param>
        private void DigitoClick(object sender, RoutedEventArgs e)
        {
            var boton = sender as Button;
            textBox1.Text = textBox1.Text + boton.Content;

            if (textBox1.Text.StartsWith("0"))
            {
                textBox1.Text = textBox1.Text.TrimStart('0');

                if (textBox1.Text.Length == 0)
                {
                    textBox1.Text = "0";
                }
            }

        }

    }
}
